Bug 142243 - HUD shouldn't be case sensitive for RU GUI
Summary: HUD shouldn't be case sensitive for RU GUI
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tomaz Vajngerl
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: 91874
  Show dependency treegraph
 
Reported: 2021-05-12 18:20 UTC by Roman Kuznetsov
Modified: 2021-06-10 11:29 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2021-05-12 18:20:52 UTC
Description:
HUD shouldn't be case sensitive for RU GUI

Steps to Reproduce:
1. Enable RU GUI in Options dialog
2. Start Writer
3. Press Ctrl+F1 in latest master build => it opens a HUD window
4. Try type something like встав => the HUD window will not show anything
5. Try type Встав => the HUD window will show some menu items 

Actual Results:
the HUD is case sensitive for RU GUI

Expected Results:
the HUD isn't case sensitive for RU GUI


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 5d7251c7121cee8885fa9f2387c4a0625dd4ecee
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: threaded
Comment 1 Commit Notification 2021-05-31 03:31:28 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a39947102bac8430b13b10b3f11c34b5ebf576b0

tdf#142243 HUD - Use XCharacterClassification to convert case

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2021-06-01 03:33:09 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2752a0a7e72b1d7e5f8bf22a3b4f17c69fdd7a48

tdf#142243 actually call toLower not tuUpper when calling toLower

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Roman Kuznetsov 2021-06-10 06:14:57 UTC
Tomaž, can we close this one as FIXED? 

I checked in

Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 31ed81ea71a20ec119805f66a42f99b3f80d2dc5
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: CL

HUD works fine for me now
Comment 4 Tomaz Vajngerl 2021-06-10 11:24:40 UTC
(In reply to Roman Kuznetsov from comment #3)
> Tomaž, can we close this one as FIXED? 
> 
> I checked in
> 
> Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
> Build ID: 31ed81ea71a20ec119805f66a42f99b3f80d2dc5
> CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render:
> Skia/Raster; VCL: win
> Locale: ru-RU (ru_RU); UI: ru-RU
> Calc: CL
> 
> HUD works fine for me now

SUre, I just wanted confirmation. :)